Bug 1404930 - Unable to launch subscription-manager gui when configure invalid proxy in proxy url
Summary: Unable to launch subscription-manager gui when configure invalid proxy in pro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Kevin Howell
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-15 06:51 UTC by Wei Liu
Modified: 2017-03-21 10:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:58:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
the rhsm.log (6.12 KB, text/plain)
2016-12-15 06:51 UTC, Wei Liu
no flags Details


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1532 None None None 2016-12-19 16:16:25 UTC
Red Hat Product Errata RHSA-2017:0698 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Description Wei Liu 2016-12-15 06:51:23 UTC
Created attachment 1231985 [details]
the rhsm.log

Description of problem:
Failed to launch subscription-manager gui when configure invalid proxy in proxy url,and was reminded "Proxy connection failed,please check your settings." 

Version-Release number of selected component (if applicable):
RHEL-6.9-20161201.0:
subscription-manager-firstboot-1.18.5-1.el6.x86_64
subscription-manager-1.18.5-1.el6.x86_64
python-rhsm-certificates-1.18.5-1.el6.x86_64
subscription-manager-gui-1.18.5-1.el6.x86_64
python-rhsm-1.18.5-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.Install build RHEL-6.9-20161201.0
2.Open subscription-manager gui and configure the proxy with invalid one
(error.test.com:123),then lick the "save" button
3.click X button to close subscription-manager gui and try to reopen again
#subscription-manager-gui

Actual results:
subscription-manager gui not open and a reminder "Proxy connection failed,please check your settings" display on console

Expected results:
subscription-manager gui should open and no error should display on console.


Additional info:

Comment 4 Kevin Howell 2016-12-19 16:16:25 UTC
This behavior was first introduced in bug 1327179. The attached PR modifies that behavior to support a GUI-only flow (including a way to edit the network settings).

Comment 6 Wei Liu 2017-01-12 05:14:43 UTC
Verifying version:
[root@dhcp-128-193 ~]# subscription-manager version
subscription management server: 0.9.51.20-1
subscription management rules: 5.15.1
subscription-manager: 1.18.7-1.el6
python-rhsm: 1.18.6-1.el6

Verification:
1.Install build RHEL-6.9-20170111.0
2.Open subscription-manager gui and configure the proxy with invalid one
(error.test.com:123),then lick the "save" button
3.click X button to close subscription-manager gui 
4.try to reopen again
#subscription-manager-gui
then a warning dialog pops up to remind proxy connection failed
5.then click ok to check seetings

So this issue is verified and move the status to "verified".

Comment 8 errata-xmlrpc 2017-03-21 10:58:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.